Exclude directory with adb pull

by Francesco Pace » Thu, 13 Aug 2009 16:24:20 GMT


Sponsored Links
 Hy guys, I need a help.
With my java application I have created a private directory in my
/data/data/org.android.myapplication. The name is "backup".

I want that when anyone execute "adb pull /data" my directory must not be
copied.
Can someone help me?

Thanks for all.

--~--~---------~--~----~------------~-------~--~----~



Other Threads

1. docs feedback re compiling src

Hi folks,

Have some feedback on the docs online
http://source.android.com/source/download.html that could be considered for
improvement:

1. docs say 32-bit linux ubuntu is supported, but on compile you get an
error that says (build/core/main.mk)

"$(warning You are attempting to build on a 32-bit system.)
$(warning Only 64-bit build environments are supported beyond froyo/2.2.)"

2. docs say 64-bit linux "has not been well tested", but considering 32-bit
isnt supported at all (above note) does this mean mac OS X is the only
environment supported?

3. on related note, it's odd that mac os X 64-bit is not supported. In other
words if you have a 64-bit macbook your only option is to build in linux,
which as noted is not "well tested"

4. with respect to JDK version, it's vague. "JDK 5.0, update 12 or higher."
suggest doc actually recommend a particular version, e.g. "JDK 5.0 Update X
is known to be stable"

I'm curious if there is a way to have a page of build setups that are known
to work, ideally by repo revision?

BTW I'm using a macbook i7 64-bit and have been reading the various
developer notes and suggested workarounds for building on this machine, but
it's pretty interesting to see how far  the real support is for working on
Mac and Linux compared with the statement that they are "official build
platforms".

regards,
ms

-- 

2. after sdk upgrade debugging on device not working

I upgraded the sdk to the latest version and the latest Eclipse plugin
version to 8.0.1 and now I'm not able to debug my app on the actual
device. I use to be able to do that before the upgrade. I'm not sure
what exactly is causing this since it seems difficult to downgrade the
sdk or the plugin and was wondering if anyone else had a similar
problem.

-- 

3. Android unit test launch fails in eclipse

4. Facebook ad campaigns for casual apps

5. Saving a file in .xls format and storing it in a particular location.

6. How to Create language package for android

7. How to implement a keypad driver